org.apache.uima.fit.validation

## Class ValidationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.uima.fit.validation.ValidationException

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    ValidationCheckException

      public class ValidationException
      extends Exception

  Exception generated while validating a CAS.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ValidationException()`
    `ValidationException(String aMessage)`
    `ValidationException(String aMessage, Throwable aCause)`
    `ValidationException(String aMessage, Throwable aCause, boolean aEnableSuppression, boolean aWritableStackTrace)`
    `ValidationException(Throwable aCause)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ValidationException

          public ValidationException()

    - #### ValidationException

          public ValidationException(String aMessage,
                                     Throwable aCause,
                                     boolean aEnableSuppression,
                                     boolean aWritableStackTrace)

    - #### ValidationException

          public ValidationException(String aMessage,
                                     Throwable aCause)

    - #### ValidationException

          public ValidationException(String aMessage)

    - #### ValidationException

          public ValidationException(Throwable aCause)

Copyright © 2012–2021 The Apache Software Foundation. All rights reserved.